## org.codehaus.groovy.ast.expr
Class TupleExpression

Field Summary
`List` | `expressions`

Constructor Summary
`TupleExpression()`
`TupleExpression(Expression expr)`
`TupleExpression(Expression expr1, Expression expr2)`
`TupleExpression(Expression expr1, Expression expr2, Expression expr3)`
`TupleExpression(int length)`
`TupleExpression(List expressions)`
`TupleExpression(def expressionArray)`

Method Summary
`TupleExpression` | `addExpression(Expression expression)`
`Expression` | `getExpression(int i)`
`List` | `getExpressions()`
`String` | `getText()`
`String` | `toString()`
`Expression` | `transformExpression(ExpressionTransformer transformer)`
`void` | `visit(GroovyCodeVisitor visitor)`

Constructor Detail

### TupleExpression

    public TupleExpression()

### TupleExpression

    public TupleExpression(Expression expr)

### TupleExpression

    public TupleExpression(Expression expr1, Expression expr2)

### TupleExpression

    public TupleExpression(Expression expr1, Expression expr2, Expression expr3)

### TupleExpression

    public TupleExpression(int length)

### TupleExpression

    public TupleExpression(List expressions)

### TupleExpression

    public TupleExpression(def expressionArray)

Method Detail

### addExpression

    public TupleExpression addExpression(Expression expression)

### getExpression

    public Expression getExpression(int i)

### getExpressions

    public List getExpressions()

### getText

    public String getText()

### toString

    public String toString()

### transformExpression

    public Expression transformExpression(ExpressionTransformer transformer)

### visit

    public void visit(GroovyCodeVisitor visitor)